<%@ page import="java.util.ArrayList,com.ejie.p06b.general.P06BPaginas, com.ejie.p06b.general.P06BConstantes,com.ejie.p06b.util.P06BUtil,com.ejie.p06b.datatype.logic.P06BCorredorListasAux,com.ejie.p06b.datatype.model.P06B22T00Datatype, com.ejie.p06b.datatype.model.P06B61T00Datatype,com.ejie.p06b.datatype.model.P06B24T00Datatype,com.ejie.p06b.datatype.model.P06B25T00Datatype,com.ejie.p06b.datatype.model.P06B26T00Datatype,com.ejie.p06b.datatype.model.P06B27T00Datatype,com.ejie.p06b.datatype.model.P06B28T00Datatype,com.ejie.p06b.datatype.model.P06B29T00Datatype,com.ejie.p06b.datatype.model.P06B30T00Datatype,com.ejie.p06b.util.P06BResources, com.ejie.p06b.manager.P06BGeneralManager" %>
<%@ taglib uri="/WEB-INF/tld/p06bTags.tld" prefix="p06b" %>
<html>
<head>
	<title><p06b:p06bResEtiquetasTag resource="titulo"/></title>
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-1">
	<link rel="stylesheet" href="<%=P06BPaginas.P06B_STYLES_PATH%>/Styles/p06estilos.css" type="text/css">
	<link rel="stylesheet" href="<%=P06BPaginas.P06B_STYLES_PATH%>/Styles/portal.css" type="text/css">
	<link rel="stylesheet" href="<%=P06BPaginas.P06B_STYLES_PATH%>/Styles/comunPortal.css" type="text/css">
	<script SRC="<%=P06BPaginas.P06B_STYLES_PATH%>/js/p06bComun.js" TYPE="text/javascript"></script>	
	<%
		boolean tieneRet = (request.getSession().getAttribute(P06BConstantes.P06B_VAR_TEMP+"Corredor"+P06BConstantes.P06B_VAR_TEMP_FILTRO)==null)?false:true;
		
		P06BCorredorListasAux objListas = null;
		if(request.getSession().getAttribute(P06BConstantes.P06B_VAR_TEMP+"CorredorListasAux")!=null){
			objListas = (P06BCorredorListasAux)request.getSession().getAttribute(P06BConstantes.P06B_VAR_TEMP+"CorredorListasAux");
		}else{
			objListas = new P06BCorredorListasAux();
		}
		ArrayList listaSocios = objListas.getListaSocios();
		ArrayList listaAdministradores = objListas.getListaAdministradores();
		ArrayList listaOrganos = objListas.getListaOrganos();
		ArrayList listaSociosIndirec = objListas.getListaSociosIndirec();
		ArrayList listaAuxExternos = objListas.getListaAuxExternos();
		ArrayList listaDirecTec = objListas.getListaDirecTec();
		ArrayList listaOtrosDirec = objListas.getListaOtrosDirec();
		ArrayList listaSucursales = objListas.getListaSucursales();
		ArrayList listaDefCliente = objListas.getListaDefCliente();
		ArrayList listaDepAtCliente = objListas.getListaDepAtCliente();
		ArrayList listaEVs = objListas.getListaEVs();
		
		String estadoAntiguo = (request.getParameter("Estado")==null)?"":request.getParameter("Estado");
	%>
</head>	
<body>
<script type="text/javascript">
	//<!--
	var rutaCabecera = "";	//Parametro a pasar desde cada jsp que indique la ruta del mismo
	if('<%=tieneRet%>'=='true'){		
		rutaCabecera += "<a style='text-decoration:none; font-size:8pt; color:#FFFF66; font-family:verdana' href='"+'<%=P06BPaginas.P06B_JSP_SERVLETCORREDORBUSCAR_INJSP%>'+"'>\\"+'<p06b:p06bResEtiquetasTag resource="pantallas.corredor.buscar.titulo"/>'+"</a>";
		rutaCabecera += "<a style='text-decoration:none; font-size:8pt; color:#FFFF66; font-family:verdana' href='"+'<%=P06BPaginas.P06B_JSP_SERVLETCORREDORLISTADO_INJSP%>'+"'>\\"+'<p06b:p06bResEtiquetasTag resource="pantallas.corredor.listado.titulo"/>'+"</a>";
	}
	rutaCabecera += "<a style='text-decoration:none; font-size:8pt; color:#FFFF66; font-family:verdana' href='"+'<%=P06BPaginas.P06B_JSP_SERVLETCORREDOR_INJSP%>'+"'>\\"+'<p06b:p06bResEtiquetasTag resource="pantallas.corredor.nuevo.titulo"/>'+"</a>";
	var NumSolapas=13; 
	var SolapaActiva=0;
	var estadoAntiguo_JS = '<%=estadoAntiguo%>';
	
	
	//Si el cif/nif es correcto return true, else return false
	function esCorrectoCifNif(){
		//Si el value es "", es pq no se ha seleccionado nada, y eso se controla en la clase junto con todas las
		//validaciones de campos obligatorios, numéricos etc.
		
		//Si es Persona Física
		document.FormCorredores.DNI.value = trim(document.FormCorredores.DNI.value);
		document.FormCorredores.DNI.value = document.FormCorredores.DNI.value.toUpperCase();
		if ( (document.FormCorredores.Clase.value=="<%=P06BConstantes.P06B_CORREDORES_TIPOPER_FISICA%>")
			|| (document.FormCorredores.Clase.value=="<%=P06BConstantes.P06B_AGENTEVINCULADO_FISICA%>")
			|| (document.FormCorredores.Clase.value=="<%=P06BConstantes.P06B_REASEGUROS_FISICA%>") ){
			if (document.FormCorredores.DNI.value != ""){
	  			var dni = document.FormCorredores.DNI.value;
	  			
	  			//Los DNI que empiecen por "X", que se corresponden con los NIE, los extranjeros,
	  			//se van a almacenar como persona física y solo se va a hacer la comprobacion
	  			//de la longitud, de 9 caracteres
	  			if(dni.substring(0,1).toUpperCase() == "X"){
	  				if (dni.length<9){
		  				alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0009")%>');
		  				return false;
		  			}
	  			}else{
		  			if (dni.length<8){
		  				alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  				return false;
		  			}else if (dni.length == 8) {  				
		  			 	if (!comprobar8numeros(dni)){
		  			 		alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  			 		return false;
		  			 	}else{	
		  			 		document.FormCorredores.DNI.value = document.FormCorredores.DNI.value + letraNifCorrecta(document.FormCorredores.DNI.value);
		  			 	}
		  			}else{
		  				var dniSinletra = dni.substring(0,dni.length-1);
		  				if (!comprobar8numeros(dniSinletra)){
		  			 		alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  			 		return false;
		  			 	}
		  				var letra = dni.substring(8).toUpperCase(); 
		  				if (validarEntero(letra) != ""){
		  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  					return false;
		  				}else{ 	  					  				
			  				if(letra != letraNifCorrecta(dniSinletra)){
			  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0003")%> '+letraNifCorrecta(dniSinletra));
			  					return false;
			  				}
		  				}
		  			}
		  		}
	  		}
		
		//Si es Persona Jurídica
		}else if ( (document.FormCorredores.Clase.value=="<%=P06BConstantes.P06B_CORREDORES_TIPOPER_JURIDICA%>")
				|| (document.FormCorredores.Clase.value=="<%=P06BConstantes.P06B_AGENTEVINCULADO_JURIDICA%>") 
				|| (document.FormCorredores.Clase.value=="<%=P06BConstantes.P06B_REASEGUROS_JURIDICA%>")
				|| (document.FormCorredores.Clase.value=="<%=P06BConstantes.P06B_OPERADORBANCA_VINCULADO%>")
				|| (document.FormCorredores.Clase.value=="<%=P06BConstantes.P06B_OPERADORBANCA_EXCLUSIVO%>") ){
			if (document.FormCorredores.DNI.value !=""){
	  			var cif = document.FormCorredores.DNI.value;
	  			if (cif.length<8){
	  				alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0004")%>');
	  				return false;
	  			}else if (cif.length == 8){
	  				numero = trim(cif.substr(1,7));
					if ((numero.length==0) || (numero.length<7) || (validarEntero(numero) == "")){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0005")%>');
						return false;
					}else if(!esCorrectaLetraCIF(cif.substr(0,1).toUpperCase())){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0008")%>');
						return false;
					}
					document.FormCorredores.DNI.value = document.FormCorredores.DNI.value + calculaDigitoControl(cif);
	  			}else{  		
	  				numero = trim(cif.substr(1,7));
					if ((numero.length==0) || (numero.length<7) || (validarEntero(numero) == "")){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0005")%>');
						return false;
					}else if(!esCorrectaLetraCIF(cif.substr(0,1).toUpperCase())){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0008")%>');
						return false;
					}else{
	  					var letra = cif.substring(0,1);   					  					  				
		  				if (validarEntero(letra) != ""){
		  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0006")%>');
		  					return false;
		  				}else{	  
			  				var cif2 = document.FormCorredores.DNI.value;
			  				if (!ValidaCIF(cif2)){
			  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0007")%> '+calculaDigitoControl(cif2));
			  					return false;	
			  				}
		  				}
		  			}
		  		}
		  	}
		}
		return true; 
	}
	
	function comunAceptar(){
		document.FormCorredores["Estado"].disabled = false;
		habilitarCampos();
		
		//Se hace un trim, quitando todos los espacios por delante y por detras, de todos los campos de texto
		for(i=0;i<document.FormCorredores.elements.length;i++){
	        if(document.FormCorredores.elements[i].type=="text"){
	            document.FormCorredores.elements[i].value=trim(document.FormCorredores.elements[i].value);
	        }
	    }
	}
	
	function aceptar(){
		//Validacion del cif/nif
		if (!esCorrectoCifNif()){
			return;
		}
		
		//Si se ha modificado el estado del expediente, se pide su confirmacion para guardar
		//if ((estadoAntiguo_JS != document.FormCorredores.Estado.value) && (!confirm('<%//=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0001")%>'))){
			//return;
		//}
		
		comunAceptar();
		document.FormCorredores.submit();
	}
	
	function anadir(tipo){
		comunAceptar();
		document.FormCorredores.tablaChange.value=tipo;
		document.FormCorredores.corrDefCliente.value="";
		document.FormCorredores.accion.value="tablaChange";
		document.FormCorredores.submit();
	}
	
	//El correlativo se utiliza para la pestaña Defensor Cliente y Depart. Atencion al cliente e indica en cual añadir la línea para la persona física
	function anadir(tipo, correlativo){
		comunAceptar();
		document.FormCorredores.tablaChange.value=tipo;
		document.FormCorredores.corrDefCliente.value=correlativo;
		document.FormCorredores.accion.value="tablaChange";
		document.FormCorredores.submit();
	}
	
	function quitarTabla(tabla,id){
		comunAceptar();
		document.FormCorredores.tablaChange.value=tabla;
		document.FormCorredores.idTablaDelete.value=id;
		document.FormCorredores.corrDefCliente.value="";
		document.FormCorredores.accion.value="tablaDelete";
		document.FormCorredores.submit();
	}
	
	//El correlativo se utiliza para la pestaña Defensor Cliente y Depart. Atencion al cliente e indica en cual eliminar la línea para la persona física
	function quitarTabla(tabla,id, correlativo){
		comunAceptar();
		document.FormCorredores.tablaChange.value=tabla;
		document.FormCorredores.idTablaDelete.value=id;
		document.FormCorredores.corrDefCliente.value=correlativo;
		document.FormCorredores.accion.value="tablaDelete";
		document.FormCorredores.submit();
	}
	
	//El cargo se utiliza para los admins y direcs, para saber cual eliminar si el valor del DNI es el mismo
	function quitarTablaDNICargo(tabla,id,cargo){
		comunAceptar();
		document.FormCorredores.tablaChange.value=tabla;
		document.FormCorredores.idTablaDelete.value=id;
		document.FormCorredores.corrDefCliente.value="";
		document.FormCorredores.idCargoDelete.value=cargo;
		document.FormCorredores.accion.value="tablaDelete";
		document.FormCorredores.submit();
	}
	
	function retornar(){
		document.FormCorredoresListado.submit();
	}
	
	function modificar(){
		comunAceptar();
		document.FormCorredores.accion.value="";
		document.FormCorredores.action='<%=P06BPaginas.P06B_JSP_SERVLETCORREDORMODIFICAR_INJSP%>';
		document.FormCorredores.submit();
	}
	
	function limpiar(){
		document.FormLimpiar.submit();
	}
	
	function inicializa(){
		fcambiaTipoPer();
		fcambiaEstado();
		iniciaCurso();
		iniciaCapacidadFinanciera();
		iniciaAcredita();
		
		formatearCamposPantalla();
		
		//Como estamos en el alta, se quita esta comprobación, para que se permita modificar el Estado durante todo el Alta, hasta guardar en BD
		//if (document.FormCorredores["Estado"].value=="<%//=P06BConstantes.P06B_CORREDORES_ESTADO_BAJA%>"){
			//deshabilitarPorBaja();
		//}		
	}
	
	function deshabilitarPorBaja(){
		//Deshabilita todos los campos y enlaces: (+) y (-) de pantalla de todas las pestañas, excepto los botones.
		//En esta funcion tb se deshabilita la lista de Estado: Alta , Baja, Suspension, Revision, pendiente alta. Pero se permite introducir la fecha baja y motivo.
	    for(i=0;i<document.FormCorredores.elements.length;i++){
	        if(document.FormCorredores.elements[i].type!="hidden" && document.FormCorredores.elements[i].type!="button" && document.FormCorredores.elements[i].name != "FechaBaj" && document.FormCorredores.elements[i].name != "MotivoB"){
	            document.FormCorredores.elements[i].disabled=true;
	        }
	    }
	    enlaces=document.links;
	    for (i=0;i<enlaces.length;i++){
	        if (enlaces[i].innerHTML.indexOf("+)")>0 || enlaces[i].innerHTML.indexOf("-)")>0 || enlaces[i].name.indexOf("nadirResp_DepAtCliente_")>0){
	        	enlaces[i].style.visibility="hidden";
	        }
	    }
	    
	    //Para los defensores de cliente y departamentos de atención al cliente, 
	    //deshabilitar el enlace que permite añadir personas físicas s los de tipo jurídico
	    divsForm = document.getElementsByTagName('div');
	    for (i=0;i<divsForm.length;i++){
	        if (divsForm[i].id.indexOf("nadirPF_defCliente_")>0 || divsForm[i].id.indexOf("nadirPF_depAtCliente_")>0){
	        	divsForm[i].style.visibility="hidden";
	        }
	    }	    
	}
	
	function deshabilitarExceptoEstado(){
		//Deshabilita todos los campos y enlaces: (+) y (-) de pantalla de todas las pestañas, 
		//excepto los botones y la lista de Estado: Alta , Baja
	    for(i=0;i<document.FormCorredores.elements.length;i++){
	        if(document.FormCorredores.elements[i].type!="hidden" && document.FormCorredores.elements[i].type!="button" && document.FormCorredores.elements[i].name != "Estado" && document.FormCorredores.elements[i].name != "FechaBaj" && document.FormCorredores.elements[i].name != "MotivoB"){
	            document.FormCorredores.elements[i].disabled=true;
	        }
	    }
	    enlaces=document.links;
	    for (i=0;i<enlaces.length;i++){
	        if (enlaces[i].innerHTML.indexOf("+)")>0 || enlaces[i].innerHTML.indexOf("-)")>0 || enlaces[i].name.indexOf("nadirResp_DepAtCliente_")>0){
	        	enlaces[i].style.visibility="hidden";
	        }
	    }
	    
	    //Para los defensores de cliente y departamentos de atención al cliente, 
	    //deshabilitar el enlace que permite añadir personas físicas s los de tipo jurídico
	    divsForm = document.getElementsByTagName('div');
	    for (i=0;i<divsForm.length;i++){
	        if (divsForm[i].id.indexOf("nadirPF_defCliente_")>0 || divsForm[i].id.indexOf("nadirPF_depAtCliente_")>0){
	        	divsForm[i].style.visibility="hidden";
	        }
	    }		    
	}
	
	function habilitarCampos(){
		//Habilita todos los campos de pantalla de todas las pestañas
		for(i=0;i<document.FormCorredores.elements.length;i++){
	        if(document.FormCorredores.elements[i].type!="hidden" && document.FormCorredores.elements[i].type!="button" && document.FormCorredores.elements[i].name != "Estado" && document.FormCorredores.elements[i].name != "FechaBaj" && document.FormCorredores.elements[i].name != "MotivoB"){
	            document.FormCorredores.elements[i].disabled=false;
	        }
	    }
	    enlaces=document.links;
	    for (i=0;i<enlaces.length;i++){
	        if (enlaces[i].innerHTML.indexOf("+)")>0 || enlaces[i].innerHTML.indexOf("-)")>0 || enlaces[i].name.indexOf("nadirResp_DepAtCliente_")>0){
	        	enlaces[i].style.visibility="visible";
	        }
	    }
	    
	    //Para los defensores de cliente y departamentos de atención al cliente,
	    //habilitar el enlace que permite añadir personas físicas SOLO a los de tipo jurídico
	    var divsForm = document.getElementsByTagName('div');
	    var idDiv;
	    var fragmentoIdDiv;
	    var numDefensor;
	    for (i=0;i<divsForm.length;i++){
	    	//Si es defensor
	        if (divsForm[i].id.indexOf("nadirPF_defCliente_")>0){
	        	idDiv = divsForm[i].id;
	        	fragmentoIdDiv = idDiv.split('_');
	        	numDefensor = fragmentoIdDiv[2];//Coger el nº del defensor, que se encuentra en la posicon 2, Ej. "anadirPF_defCliente_0"
	        	
	        	if(eval("document.FormCorredores.tipo_defCliente_"+numDefensor+".value") != null 
	        		&& eval("document.FormCorredores.tipo_defCliente_"+numDefensor+".value") != "" 
	        		&& eval("document.FormCorredores.tipo_defCliente_"+numDefensor+".value")== '<%=P06BConstantes.P06B_PERSONA_JURIDICA%>'){
	        		divsForm[i].style.visibility="visible";
	        	}
	        }
	        
	        //Si es departamento
	        if (divsForm[i].id.indexOf("nadirPF_depAtCliente_")>0){
	        	idDiv = divsForm[i].id;
	        	fragmentoIdDiv = idDiv.split('_');
	        	numDefensor = fragmentoIdDiv[2];//Coger el nº del departamento, que se encuentra en la posicon 2, Ej. "anadirPF_depAtCliente_0"
	        	
	        	if(eval("document.FormCorredores.tipo_depAtCliente_"+numDefensor+".value") != null 
	        		&& eval("document.FormCorredores.tipo_depAtCliente_"+numDefensor+".value") != "" 
	        		&& eval("document.FormCorredores.tipo_depAtCliente_"+numDefensor+".value")== '<%=P06BConstantes.P06B_PERSONA_JURIDICA%>'){
	        		divsForm[i].style.visibility="visible";
	        	}
	        }
	    }
	}
	
	function iniciaCurso(){
		if(document.FormCorredores["Curso"][0].checked==false
			&& document.FormCorredores["Curso"][1].checked==false){
			document.FormCorredores["Curso"][0].checked=true;
			document.getElementById("bloqueCurso").style.display="";
		}else{
			cambiaCurso();
		}
	}
	
	function cambiaCurso(){
		if(document.FormCorredores["Curso"][0].checked==true){
			document.getElementById("bloqueCurso").style.display="";
		}else{
			document.FormCorredores["DenCurso"].value="";
			document.getElementById("bloqueCurso").style.display="none";
		}
	}
	
	function iniciaCapacidadFinanciera(){
		if(document.FormCorredores["CapacidadFinanciera"][0].checked==false
			&& document.FormCorredores["CapacidadFinanciera"][1].checked==false
			&& document.FormCorredores["CapacidadFinanciera"][2].checked==false
			&& document.FormCorredores["CapacidadFinanciera"][3].checked==false){
			document.FormCorredores["CapacidadFinanciera"][0].checked=true;
		}
		cambiaCapacidadFinanciera()
	}
	
	function cambiaCapacidadFinanciera(){
		if (document.FormCorredores["CapacidadFinanciera"][1].checked==true){
			deshabilitaCFCamposAdicionales(false);
			document.getElementById("bloqueCapacidadFinanciera").style.display="";
			document.getElementById("cb_ContrataSeguro").style.display="";
			document.getElementById("cb_ContrataAval").style.display="";
			cambiaContrataSeguro();
			cambiaContrataAval();
		}else{
			deshabilitaCFCamposAdicionales(true);
			document.getElementById("bloqueCapacidadFinanciera").style.display="none";
			document.getElementById("cb_ContrataSeguro").style.display="none";
			document.getElementById("cb_ContrataAval").style.display="none";
		}
	}
	
	function cambiaContrataSeguro(){
		if(document.getElementById("cb_ContrataSeguro").checked==true){
			document.getElementById("bloqueContrataSeguro").style.display="";
		}else{
			document.getElementById("bloqueContrataSeguro").style.display="none";
		}
	}
	
	function cambiaContrataAval(){
		if(document.getElementById("cb_ContrataAval").checked==true){
			document.getElementById("bloqueContrataAval").style.display="";
		}else{
			document.getElementById("bloqueContrataAval").style.display="none";
		}
	}
	
	function deshabilitaCFCamposAdicionales(deshabilita){
		document.getElementById("CapacidadFinanciera_impFondos").disabled=deshabilita;
		document.getElementById("CapacidadFinanciera_impCapacidad").disabled=deshabilita;
		document.getElementById("cb_ContrataSeguro").disabled=deshabilita;
		document.getElementById("CapacidadFinanciera_textoSeguro").disabled=deshabilita;
		document.getElementById("cb_ContrataAval").disabled=deshabilita;
		document.getElementById("CapacidadFinanciera_textoAval").disabled=deshabilita;
	}
	
	function iniciaAcredita(){
		if(document.FormCorredores["Acredita"][0].checked==false
			&& document.FormCorredores["Acredita"][1].checked==false){
			document.FormCorredores["Acredita"][0].checked=true;
			document.getElementById("bloqueAcredita").style.display="";
		}else{
			cambiaAcredita();
		}
	}
	
	function cambiaAcredita(){
		if(document.FormCorredores["Acredita"][0].checked==true){
			document.getElementById("bloqueAcredita").style.display="";
		}else{
			document.FormCorredores["DAcredita"].value="";
			document.getElementById("bloqueAcredita").style.display="none";
		}
	}
	
	function fcambiaTipoPer(){
		if(document.FormCorredores["Clase"].value==""){
			//Oculto Todo
			document.FormCorredores["RazSoc"].value="";
			document.FormCorredores["Nombre"].value="";
			document.FormCorredores["Ape1"].value="";
			document.FormCorredores["Ape2"].value="";
			document.getElementById("bloquePerJuridico").style.display="none";
			document.getElementById("bloquePerFisico").style.display="none";
		}else if( (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_CORREDORES_TIPOPER_JURIDICA%>")
				|| (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_AGENTEVINCULADO_JURIDICA%>")
				|| (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_REASEGUROS_JURIDICA%>")
				|| (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_OPERADORBANCA_VINCULADO%>")
				|| (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_OPERADORBANCA_EXCLUSIVO%>") ){
			document.FormCorredores["Nombre"].value="";
			document.FormCorredores["Ape1"].value="";
			document.FormCorredores["Ape2"].value="";
			document.getElementById("bloquePerJuridico").style.display="";
			document.getElementById("bloquePerFisico").style.display="none";
		}else if( (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_CORREDORES_TIPOPER_FISICA%>")
				|| (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_AGENTEVINCULADO_FISICA%>")
				|| (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_REASEGUROS_FISICA%>") ){
			document.FormCorredores["RazSoc"].value="";
			document.getElementById("bloquePerFisico").style.display="";
			document.getElementById("bloquePerJuridico").style.display="none";
		}
		
		if( (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_AGENTEVINCULADO_FISICA%>")
				|| (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_AGENTEVINCULADO_JURIDICA%>") 
				|| (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_OPERADORBANCA_VINCULADO%>")
				|| (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_OPERADORBANCA_EXCLUSIVO%>") ){
			document.getElementById("Solapa_11").style.display="";
			document.getElementById("SolapaResto_11").style.display="";
		}else{
			document.getElementById("Solapa_11").style.display="none";
			document.getElementById("SolapaResto_11").style.display="none";
		}		
		if (document.FormCorredores.numPest.value==11){
			if( (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_AGENTEVINCULADO_FISICA%>")
					|| (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_AGENTEVINCULADO_JURIDICA%>") 
					|| (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_OPERADORBANCA_VINCULADO%>")
					|| (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_OPERADORBANCA_EXCLUSIVO%>") ){
				document.getElementById("ElemSolapa_11").style.display="";
			}else{
				document.getElementById("ElemSolapa_11").style.display="none";
			}		
		}
		
		if( (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_AGENTEVINCULADO_FISICA%>")
				|| (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_AGENTEVINCULADO_JURIDICA%>") 
				|| (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_CORREDORES_TIPOPER_FISICA%>")
				|| (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_CORREDORES_TIPOPER_JURIDICA%>") ){
			document.getElementById("Solapa_12").style.display="";
			document.getElementById("SolapaResto_12").style.display="";
		}else{
			document.getElementById("Solapa_12").style.display="none";
			document.getElementById("SolapaResto_12").style.display="none";
		}		
		if (document.FormCorredores.numPest.value==12){
			if( (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_AGENTEVINCULADO_FISICA%>")
					|| (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_AGENTEVINCULADO_JURIDICA%>") 
					|| (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_CORREDORES_TIPOPER_FISICA%>")
					|| (document.FormCorredores["Clase"].value=="<%=P06BConstantes.P06B_CORREDORES_TIPOPER_JURIDICA%>") ){
				document.getElementById("ElemSolapa_12").style.display="";
			}else{
				document.getElementById("ElemSolapa_12").style.display="none";
			}		
		}
		
	}
	
	function fcambiaEstado(){
		if(document.FormCorredores["Estado"].value=="" 
		|| document.FormCorredores["Estado"].value=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_ALTA%>"){
			//He cambiado de Baja o Suspensión, a Alta
			//Elimino valores de motivos y de fecha de baja. Y los valores de la Suspensión.
			//Deshabilito campos
			//Oculto Todo
			document.FormCorredores["FechaBaj"].value="";
			document.FormCorredores["MotivoB"].value="";
			document.FormCorredores["FechaSus"].value="";
			document.FormCorredores["MotivoS"].value="";
			document.FormCorredores["FecFinSu"].value="";
// 			document.getElementById("bloqueEstadoBaja").style.display="none";
// 			document.getElementById("bloqueEstadoSuspension").style.display="none";
// 			document.getElementById("bloqueEstadoRevision").style.display="none";
// 			document.getElementById("bloqueEstadoPdteAlta").style.display="none";
// 			document.getElementById("bloqueEstadoAlta").style.display="";
			ocultarColumna('tablaEstadoTitulos',1);
			ocultarColumna('tablaEstadoTitulos',2);
			ocultarColumna('tablaEstadoTitulos',3);
			ocultarColumna('tablaEstadoTitulos',4);
			ocultarColumna('tablaEstadoTitulos',5);
			ocultarColumna('tablaEstadoInputs',1);
			ocultarColumna('tablaEstadoInputs',2);
			ocultarColumna('tablaEstadoInputs',3);
			ocultarColumna('tablaEstadoInputs',4);
			ocultarColumna('tablaEstadoInputs',5);
			habilitarCampos();
		} else if(document.FormCorredores["Estado"].value=="" 
		|| document.FormCorredores["Estado"].value=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_REVISION%>"
		|| document.FormCorredores["Estado"].value=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_ALTA_RECHAZADA%>"){
			//He cambiado de Baja o Suspensión, a Alta
			//Elimino valores de motivos y de fecha de baja. Y los valores de la Suspensión.
			//Deshabilito campos
			//Oculto Todo
			document.FormCorredores["FechaBaj"].value="";
			document.FormCorredores["MotivoB"].value="";
			document.FormCorredores["FechaSus"].value="";
			document.FormCorredores["MotivoS"].value="";
			document.FormCorredores["FecFinSu"].value="";
// 			document.getElementById("bloqueEstadoBaja").style.display="none";
// 			document.getElementById("bloqueEstadoSuspension").style.display="none";
// 			document.getElementById("bloqueEstadoRevision").style.display="";
// 			document.getElementById("bloqueEstadoPdteAlta").style.display="none";
// 			document.getElementById("bloqueEstadoAlta").style.display="none";
			ocultarColumna('tablaEstadoTitulos',1);
			ocultarColumna('tablaEstadoTitulos',2);
			ocultarColumna('tablaEstadoTitulos',3);
			ocultarColumna('tablaEstadoTitulos',4);
			ocultarColumna('tablaEstadoTitulos',5);
			ocultarColumna('tablaEstadoInputs',1);
			ocultarColumna('tablaEstadoInputs',2);
			ocultarColumna('tablaEstadoInputs',3);
			ocultarColumna('tablaEstadoInputs',4);
			ocultarColumna('tablaEstadoInputs',5);
			habilitarCampos();
		}else if(document.FormCorredores["Estado"].value=="" 
		|| document.FormCorredores["Estado"].value=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_PDTE_ALTA%>"){
			//He cambiado de Baja o Suspensión, a Alta
			//Elimino valores de motivos y de fecha de baja. Y los valores de la Suspensión.
			//Deshabilito campos
			//Oculto Todo
			document.FormCorredores["FechaBaj"].value="";
			document.FormCorredores["MotivoB"].value="";
			document.FormCorredores["FechaSus"].value="";
			document.FormCorredores["MotivoS"].value="";
			document.FormCorredores["FecFinSu"].value="";
// 			document.getElementById("bloqueEstadoBaja").style.display="none";
// 			document.getElementById("bloqueEstadoSuspension").style.display="none";
// 			document.getElementById("bloqueEstadoRevision").style.display="none";
// 			document.getElementById("bloqueEstadoPdteAlta").style.display="";
// 			document.getElementById("bloqueEstadoAlta").style.display="none";
			ocultarColumna('tablaEstadoTitulos',1);
			ocultarColumna('tablaEstadoTitulos',2);
			ocultarColumna('tablaEstadoTitulos',3);
			ocultarColumna('tablaEstadoTitulos',4);
			ocultarColumna('tablaEstadoTitulos',5);
			ocultarColumna('tablaEstadoInputs',1);
			ocultarColumna('tablaEstadoInputs',2);
			ocultarColumna('tablaEstadoInputs',3);
			ocultarColumna('tablaEstadoInputs',4);
			ocultarColumna('tablaEstadoInputs',5);
			habilitarCampos();
		}else if(document.FormCorredores["Estado"].value=="" 
		|| document.FormCorredores["Estado"].value=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_SUSPENSION%>"){
			document.FormCorredores["FechaBaj"].value="";
			document.FormCorredores["MotivoB"].value="";
// 			document.getElementById("bloqueEstadoBaja").style.display="none";
// 			document.getElementById("bloqueEstadoSuspension").style.display="";
// 			document.getElementById("bloqueEstadoAlta").style.display="none";
// 			document.getElementById("bloqueEstadoRevision").style.display="none";
// 			document.getElementById("bloqueEstadoPdteAlta").style.display="none";
			ocultarColumna('tablaEstadoTitulos',1);
			ocultarColumna('tablaEstadoTitulos',2);
			mostrarColumna('tablaEstadoTitulos',3);
			mostrarColumna('tablaEstadoTitulos',4);
			mostrarColumna('tablaEstadoTitulos',5);
			ocultarColumna('tablaEstadoInputs',1);
			ocultarColumna('tablaEstadoInputs',2);
			mostrarColumna('tablaEstadoInputs',3);
			mostrarColumna('tablaEstadoInputs',4);
			mostrarColumna('tablaEstadoInputs',5);
			habilitarCampos();		
		}else{
			//Habilito campos
			document.FormCorredores["FechaSus"].value="";
			document.FormCorredores["MotivoS"].value="";
			document.FormCorredores["FecFinSu"].value="";
// 			document.getElementById("bloqueEstadoBaja").style.display="";
// 			document.getElementById("bloqueEstadoAlta").style.display="none";
// 			document.getElementById("bloqueEstadoSuspension").style.display="none";
// 			document.getElementById("bloqueEstadoRevision").style.display="none";
// 			document.getElementById("bloqueEstadoPdteAlta").style.display="none";
			mostrarColumna('tablaEstadoTitulos',1);
			mostrarColumna('tablaEstadoTitulos',2);
			ocultarColumna('tablaEstadoTitulos',3);
			ocultarColumna('tablaEstadoTitulos',4);
			ocultarColumna('tablaEstadoTitulos',5);
			mostrarColumna('tablaEstadoInputs',1);
			mostrarColumna('tablaEstadoInputs',2);
			ocultarColumna('tablaEstadoInputs',3);
			ocultarColumna('tablaEstadoInputs',4);
			ocultarColumna('tablaEstadoInputs',5);
			deshabilitarExceptoEstado();
		}
	}
	
	function ocultarColumna(tabla,num){ 
		  //aquí utilizamos el id de la tabla, en este caso es 'tabla'
		   fila=document.getElementById(tabla).getElementsByTagName('tr');
		 
		    //mostramos u ocultamos las celdas de la columna seleccionada
		   for(i=0;i<fila.length;i++)
		     {
		         if (fila[i].getElementsByTagName('td')[num].style.display=='none')
		             {
		                 fila[i].getElementsByTagName('td')[num].style.display='none';  
		             }      
		        else
		             {
		              fila[i].getElementsByTagName('td')[num].style.display='none'
		             }       
		    }         
		    
		}

		function mostrarColumna(tabla,num){ 
			  //aquí utilizamos el id de la tabla, en este caso es 'tabla'
			   fila=document.getElementById(tabla).getElementsByTagName('tr');
			 
			    //mostramos u ocultamos las celdas de la columna seleccionada
			   for(i=0;i<fila.length;i++)
			     {
			         if (fila[i].getElementsByTagName('td')[num].style.display=='none')
			             {
			                 fila[i].getElementsByTagName('td')[num].style.display='';  
			             }      
			        else
			             {
			              fila[i].getElementsByTagName('td')[num].style.display=''
			             }       
			    }         
			    
			}

	function fActivaSolapa(num) 
	{
        SolapaActiva=num;
        for (var i=0; i<NumSolapas; i++)
		{	if (i===5 || i===6){ continue; }
    		var strClase= (i==num)?"solapaHigh":"solapaLow";
			var strEstilo= (i==num)?"":"none";
			eval("Solapa_"+i+".className=\""+strClase+"\"");
			eval("marcadorSolapa_"+i+".className=\""+strClase+"\"");
			eval("ElemSolapa_"+i+".style.display=\""+strEstilo+"\"");
		}
		document.FormCorredores.numPest.value = SolapaActiva;
	}
	
	function cambiaProvincia(){
		document.FormCorredores.CodMun.value="";
		document.FormCorredores.CodLoc.value="";
		document.FormCorredores.CodPst.value="";
		comunAceptar();
		document.FormCorredores.action='<%=P06BPaginas.P06B_JSP_SERVLETFCA_INJSP%>';
		document.FormCorredores.submit();
	}
	function cambiaMunicipio(){
		document.FormCorredores.CodLoc.value="";
		document.FormCorredores.CodPst.value="";
		comunAceptar();
		document.FormCorredores.action='<%=P06BPaginas.P06B_JSP_SERVLETFCA_INJSP%>';
		document.FormCorredores.submit();
	}
	function cambiaLocalidad(){
		document.FormCorredores.CodPst.value="";
		comunAceptar();
		document.FormCorredores.action='<%=P06BPaginas.P06B_JSP_SERVLETFCA_INJSP%>';
		document.FormCorredores.submit();
	}
	
	function formatearCamposPantalla(){
		poner2decimales('FormCorredores','Capsoc');
		
		if (document.FormCorredores.numSocios.value != null && document.FormCorredores.numSocios.value != "" && document.FormCorredores.numSocios.value > 0){
			for(numSociosAux=0;numSociosAux<document.FormCorredores.numSocios.value;numSociosAux++){
				poner2decimales('FormCorredores','participa_socio_'+numSociosAux);
			}
		}
		
		if (document.FormCorredores.numSociosIndirec.value != null && document.FormCorredores.numSociosIndirec.value != "" && document.FormCorredores.numSociosIndirec.value > 0){
			for(numSociosAux=0;numSociosAux<document.FormCorredores.numSociosIndirec.value;numSociosAux++){
				poner2decimales('FormCorredores','participa_socioIndirec_'+numSociosAux);
			}
		}
		
		if (document.FormCorredores.numAuxExternos.value != null && document.FormCorredores.numAuxExternos.value != "" && document.FormCorredores.numAuxExternos.value > 0){
			for(numSociosAux=0;numSociosAux<document.FormCorredores.numAuxExternos.value;numSociosAux++){
				poner2decimales('FormCorredores','participa_auxExterno_'+numSociosAux);
			}
		}
		
	}
	
	//Abre un pop-up para ver/modificar los accionista directo, accionista indirecto o auxiliar externo seleccionado.
	function abrirSocio(indice,codpro, codmun, locali, codpst, tipo){
		//myObject=new Object();
		//myObject.FormCorredores=document.FormCorredores;
		//window.showModalDialog("corredoresJSP/p06bSocioModificar.jsp?INDICE="+indice+"&hora=<%//=new java.util.Date()%>", myObject,"dialogWidth:780px;dialogHeight:580px;unadorned:yes;edge:sunken;status:no;scroll:yes;");
		//window.showModalDialog("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/p06bSocioModificar.jsp?INDICE="+indice+"&hora=<%//=new java.util.Date()%>", myObject,"dialogWidth:780px;dialogHeight:580px;unadorned:yes;edge:sunken;status:no;scroll:yes;");
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bSocioModificar.jsp?INDICE="+indice+"&codpro_socioModif="+codpro+"&codmun_socioModif="+codmun+"&locali_socioModif="+locali+"&codpst_socioModif="+codpst+"&TIPO="+tipo+"&nomFormulario=FormCorredores&hora=<%=new java.util.Date()%>", null, "width=780,height=440,status=yes,toolbar=no,menubar=no,location=no");
	}

	//Abre un pop-up para ver/modificar el ev seleccionado.
	function abrirEV(indice,codpro, codmun, locali, codpst, claveCat, fhInscrip){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bEVModificar.jsp?INDICE="+indice+"&codpro_evModif="+codpro+"&codmun_evModif="+codmun+"&locali_evModif="+locali+"&codpst_evModif="+codpst+"&claveCat_ev="+claveCat+"&fhInscrip_ev="+fhInscrip+"&nomFormulario=FormCorredores&hora=<%=new java.util.Date()%>", null, "width=800,height=660,status=yes,toolbar=no,menubar=no,location=no");
	}

	//Abre un pop-up para ver/modificar el organo de direccion, direccion tecnica seleccionado.
	function abrirDireccion(indice,codpro, codmun, locali, codpst, tipo, curso, acreditaH){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bDireccionModificar.jsp?INDICE="+indice+"&codpro_direcAdminModif="+codpro+"&codmun_direcAdminModif="+codmun+"&locali_direcAdminModif="+locali+"&codpst_direcAdminModif="+codpst+"&TIPO="+tipo+"&curso_direcAdminModif="+curso+"&acreditaH_direcAdminModif="+acreditaH+"&nomFormulario=FormCorredores&hora=<%=new java.util.Date()%>", null, "width=800,height=660,status=yes,toolbar=no,menubar=no,location=no,scrollbars=1");
	}
	
	//Abre un pop-up para ver/modificar otro cargo direccion seleccionado.
	function abrirOtrosDirec(indice, tipo, curso, acreditaH){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bOtrosDirecModificar.jsp?INDICE="+indice+"&TIPO="+tipo+"&curso_direcAdminModif="+curso+"&acreditaH_direcAdminModif="+acreditaH+"&nomFormulario=FormCorredores&hora=<%=new java.util.Date()%>", null, "width=800,height=500,status=yes,toolbar=no,menubar=no,location=no,scrollbars=1");
	}

	//Abre un pop-up para ver/modificar el administrador seleccionado.
	function abrirAdmin(indice,codpro, codmun, locali, codpst, tipo, curso, acreditaH, acredita){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bAdminModificar.jsp?INDICE="+indice+"&codpro_direcAdminModif="+codpro+"&codmun_direcAdminModif="+codmun+"&locali_direcAdminModif="+locali+"&codpst_direcAdminModif="+codpst+"&TIPO="+tipo+"&curso_direcAdminModif="+curso+"&acreditaH_direcAdminModif="+acreditaH+"&acredita_direcAdminModif="+acredita+"&nomFormulario=FormCorredores&hora=<%=new java.util.Date()%>", null, "width=800,height=660,status=yes,toolbar=no,menubar=no,location=no,scrollbars=1");
	}
	
	//Abre un pop-up para ver/modificar las sucursales seleccionadas.
	function abrirSucursal(indice,codpro, codmun, locali, codpst){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bSucursalModificar.jsp?INDICE="+indice+"&codpro_sucursalModif="+codpro+"&codmun_sucursalModif="+codmun+"&locali_sucursalModif="+locali+"&codpst_sucursalModif="+codpst+"&nomFormulario=FormCorredores&hora=<%=new java.util.Date()%>", null, "width=780,height=440,status=yes,toolbar=no,menubar=no,location=no");
	}
	
	//Abre un pop-up para ver/modificar los defensores de cliente seleccionados.
	function abrirDefCliente(indice, codpro, codmun, locali, codpst){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bDefClienteModificar.jsp?INDICE="+indice+"&codpro_defClienteModif="+codpro+"&codmun_defClienteModif="+codmun+"&locali_defClienteModif="+locali+"&codpst_defClienteModif="+codpst+"&nomFormulario=FormCorredores&hora=<%=new java.util.Date()%>", null, "width=780,height=540,status=yes,toolbar=no,menubar=no,location=no");
	}
	
	//Abre un pop-up para ver/modificar la persona física del defensor de cliente seleccionado
	function abrirPFDefCliente(indiceDef, indicePF, codpro, codmun, locali, codpst){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bPFDefClienteModificar.jsp?INDICE_DEF="+indiceDef+"&INDICE_PF="+indicePF+"&codpro_PFDefClienteModif="+codpro+"&codmun_PFDefClienteModif="+codmun+"&locali_PFDefClienteModif="+locali+"&codpst_PFDefClienteModif="+codpst+"&nomFormulario=FormCorredores&hora=<%=new java.util.Date()%>", null, "width=780,height=540,status=yes,toolbar=no,menubar=no,location=no");
	}
	
	//Abre un pop-up para ver/modificar los departamentos de atención al cliente seleccionados.
	function abrirDepAtCliente(indice, codpro, codmun, locali, codpst){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bDepAtClienteModificar.jsp?INDICE="+indice+"&codpro_depAtClienteModif="+codpro+"&codmun_depAtClienteModif="+codmun+"&locali_depAtClienteModif="+locali+"&codpst_depAtClienteModif="+codpst+"&nomFormulario=FormCorredores&hora=<%=new java.util.Date()%>", null, "width=780,height=540,status=yes,toolbar=no,menubar=no,location=no");
	}
	
	//Abre un pop-up para ver/modificar la persona física del departamento de atención al cliente seleccionado
	function abrirPFDepAtCliente(indiceDepAtClte, indicePersona, codpro, codmun, locali, codpst){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bPFDepAtClienteModificar.jsp?INDICE_DEP_AT_CLTE="+indiceDepAtClte+"&INDICE_PERSONA="+indicePersona+"&codpro_PFDepAtClienteModif="+codpro+"&codmun_PFDepAtClienteModif="+codmun+"&locali_PFDepAtClienteModif="+locali+"&codpst_PFDepAtClienteModif="+codpst+"&nomFormulario=FormCorredores&hora=<%=new java.util.Date()%>", null, "width=780,height=540,status=yes,toolbar=no,menubar=no,location=no");
	}
	
	//Abre un pop-up para ver/modificar el responsable del departamento de cliente seleccionado
	function abrirRespDepAtCliente(indiceDepAtClte, indicePersona, codpro, codmun, locali, codpst){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bRespDepAtClienteModificar.jsp?INDICE_DEP_AT_CLTE="+indiceDepAtClte+"&INDICE_PERSONA="+indicePersona+"&codpro_respDepAtClienteModif="+codpro+"&codmun_respDepAtClienteModif="+codmun+"&locali_respDepAtClienteModif="+locali+"&codpst_respDepAtClienteModif="+codpst+"&nomFormulario=FormCorredores&hora=<%=new java.util.Date()%>", null, "width=780,height=540,status=yes,toolbar=no,menubar=no,location=no");
	}
	
	
	//-->
</script>

<div id="contenidoPagina">

<%@ include file="/p06bComunJSP/p06bCabecera.inc"%>
<p>
<%@ include file="/p06bComunJSP/p06bMenuJsp.inc"%>
<div id="cuerpo">
<!--Aqui va el cuerpo de la página -->
	<TABLE class="general" cellpadding="0" cellspacing="0">
	    <tr> 
	      <td height="20"></td>
	    </tr>
	    <tr> 
	      <td width="100%">
	      	<!-- Codigo propio pantalla -->
	      	<div class="headText">
	      		<FORM NAME="FormLimpiar" METHOD="POST" action="<%=P06BPaginas.P06B_JSP_SERVLETCORREDOR_INJSP%>">
	      			<input type="hidden" name="accion" value="limpiar"/>
	      		</FORM>
	      		<FORM NAME="FormCorredoresListado" METHOD="POST" action="<%=P06BPaginas.P06B_JSP_SERVLETCORREDORLISTADO_INJSP%>">
	      		</FORM>
	      		<FORM NAME="FormCorredores" METHOD="POST" action="<%=P06BPaginas.P06B_JSP_SERVLETCORREDOR_INJSP%>">
				  <input type="hidden" name="numPest" value="<%=(request.getParameter("numPest")==null)?"0":request.getParameter("numPest")%>"/>
				  <input type="hidden" name="accion" value="guardar"/>
				  <input type="hidden" name="tablaChange" value=""/>
				  <input type="hidden" name="idTablaDelete" value=""/>
				  <input type="hidden" name="jspRetornoFCAs" value="<%=P06BPaginas.P06B_JSP_CORREDOR%>"/>
				  
				  <!-- Se utiliza para saber que cargo de administrador o dirección eliminar, en caso de que el DNI esté repetido -->
				  <input type="hidden" name="idCargoDelete" value=""/>
				  
				  <!-- Correlativo Defensor Cliente : Se utiliza para saber a que defensor añadir una persona física, en caso de que el 
				  		defensor sea jurídico -->
				  <!-- También se utiliza para saber a que departamento de atención al cliente añadir una persona física, en caso de que el
				  		departamento sea jurídico, o un responsable de departamento -->
				  <input type="hidden" name="corrDefCliente" value=""/>
				  <!-- Inicio de la tabla contenidoSolapas --> 				
					<tr>
					   <td>
					  		<table class="tablaBotonera" border="0" cellpadding="0" cellspacing="0" align="left">
								 <tr> 
									 <td width="10%">
									 	<input class="boton" type="button" name="Aceptar" value="<p06b:p06bResEtiquetasTag resource="botones.aceptar"/>" onclick="javascript:aceptar();"/>
									 </td>
									 <td width="1%"></td>
									 <td width="10%">
									 	<input class="boton" type="button" name="Limpiar" value="<p06b:p06bResEtiquetasTag resource="botones.limpiar"/>" onclick="javascript:limpiar();"/>
									 </td>
									 <td width="1%"></td>
									 <!--td width="10%">
									 	<input class="boton" type="button" name="Modificar" value="<p06b:p06bResEtiquetasTag resource="botones.modificar"/>" onclick="javascript:modificar();"/>
									 </td-->
									 <%if(tieneRet){%>
									 	<td width="1%"></td>
									 	<td width="10%">
										 	<input class="boton" type="button" name="Retornar" value="<p06b:p06bResEtiquetasTag resource="botones.retornar"/>" onclick="javascript:retornar();"/>
										</td>
									 	<td width="67%"></td>
									 <%}else{ %>
									 	<td width="78%"></td>
									 <%}%>
								</tr>
							 </table> 
						</td>
					</tr>
					<tr height="20"><td></td></tr>
					<p06b:p06bValidationTag name="errors"/>
					<tr>
					   <td>		   
					  			<table class="tablaSolapas" border="0" cellpadding="0" cellspacing="0" align="left">
								 <tr> 
								 	<!-- Datos Mediador -->
									 <td class="solapaResto" id="SolapaResto_0" border="0" width="4%">&nbsp;</td>
									 <td id='Solapa_0' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_0' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.mediadorCompleto"/>" onClick="fActivaSolapa(0)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.mediador"/>
										</a>
									 </td>
									 
									 <!-- Accionistas y participes directos -->
									 <td class="solapaResto" id="SolapaResto_1" border="0" width="4%">&nbsp;</td>
									 <td id='Solapa_1' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_1' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.accionisDirecCompleto"/>" onClick="fActivaSolapa(1)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.accionisDirec"/>
										</a> 
									 </td>
									 
									 <!-- Accionistas y participes indirectos -->
									 <td class="solapaResto" id="SolapaResto_2" border="0" width="4%">&nbsp;</td>
									 <td id='Solapa_2' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_2' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.accionisIndirecCompleto"/>" onClick="fActivaSolapa(2)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.accionisIndirec"/>
										</a> 
									 </td>
									 
									 <!-- Auxiliares externos -->
									 <td class="solapaResto" id="SolapaResto_3" border="0" width="4%">&nbsp;</td>
									 <td id='Solapa_3' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_3' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.auxilExternoCompleto"/>" onClick="fActivaSolapa(3)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.auxilExterno"/>
										</a> 
									 </td>
									 
									 <!-- Organo de direccion responsable de la mediacion -->
									 <td class="solapaResto" id="SolapaResto_4" border="0" width="4%">&nbsp;</td>
									 <td id='Solapa_4' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_4' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.direcResponMediacCompleto"/>" onClick="fActivaSolapa(4)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.direcResponMediac"/>
										</a> 
									 </td>
									 
									 <!-- Direccion tecnica -->
<!-- 									 <td class="solapaResto" id="SolapaResto_5" border="0" width="4%">&nbsp;</td> -->
<!-- 									 <td id='Solapa_5' class="solapaLow" nowrap>  -->
<%-- 										<a id='marcadorSolapa_5' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.direcTecnicaCompleto"/>" onClick="fActivaSolapa(5)" >  --%>
<%-- 										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.direcTecnica"/> --%>
<!-- 										</a>  -->
<!-- 									 </td> -->
									 
									 <!-- Participantes directos en la mediacion de seguros -->
<!-- 									 <td class="solapaResto" id="SolapaResto_6" border="0" width="4%">&nbsp;</td> -->
<!-- 									 <td id='Solapa_6' class="solapaLow" nowrap>  -->
<%-- 										<a id='marcadorSolapa_6' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.particDirectosMediacCompleto"/>" onClick="fActivaSolapa(6)" >  --%>
<%-- 										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.particDirectosMediac"/> --%>
<!-- 										</a>  -->
<!-- 									 </td> -->
									 
									 <!-- Administradores -->
									 <td class="solapaResto" id="SolapaResto_7" border="0" width="4%">&nbsp;</td>
									 <td id='Solapa_7' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_7' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.administradores"/>" onClick="fActivaSolapa(7)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.admin"/>
										</a> 
									 </td>

									 <!-- Sucursales -->
									 <td class="solapaResto" id="SolapaResto_8" border="0" width="4%">&nbsp;</td>
									 <td id='Solapa_8' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_8' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.sucurCompleto"/>" onClick="fActivaSolapa(8)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.sucur"/>
										</a> 
									 </td>
					
									 <!-- Defensor cliente -->
									 <td class="solapaResto" id="SolapaResto_9" border="0" width="4%">&nbsp;</td>
									 <td id='Solapa_9' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_9' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.defClienteCompleto"/>" onClick="fActivaSolapa(9)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.defAtCliente"/>
										</a> 
									 </td>
					 
									 <!-- Departamento de Atención al cliente -->
									 <td class="solapaResto" id="SolapaResto_10" border="0" width="4%">&nbsp;</td>
									 <td id='Solapa_10' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_10' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.depAtClienteCompleto"/>" onClick="fActivaSolapa(10)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.depAtCliente"/>
										</a> 
									 </td>

									 <!-- Entidades vinculadas -->
									 <td class="solapaResto" id="SolapaResto_11" border="0" width="4%">&nbsp;</td>
									 <td id='Solapa_11' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_11' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.entidadesVinculadas"/>" onClick="fActivaSolapa(11)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.entidadesVinculadas"/>
										</a> 
									 </td>
									 
									 <!-- Capacidad financiera copiada inicialmente desde Datos Mediador -->
									 <td class="solapaResto" id="SolapaResto_12" border="0" width="4%">&nbsp;</td>
									 <td id='Solapa_12' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_12' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.capacidadFinancieraCompleta"/>" onClick="fActivaSolapa(12)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.capacidadFinanciera"/>
										</a>
									 </td>
									 									 
								 	 <td class="solapaResto" id="SolapaResto_13" border="0">&nbsp;</td>
								</tr>
							 </table> 
						</td>
					</tr>
				
					<tr> 
				 		<td> 
							<table class="contenidoSolapas" width="100%" border="0" cellpadding="0" cellspacing="0">
								
								<!-- Datos Mediador -->
								<tr id="ElemSolapa_0">
								  <td>
										<%@ include file="p06bCorredor_Datos.inc" %>											
								  </td>	 
								</tr>
								
								<!-- Accionistas y participes directos -->
								<tr id="ElemSolapa_1">
								  <td>
										<%@ include file="p06bCorredor_Socios.inc" %>											
								  </td>	 
								</tr>
								
								<!-- Accionistas y participes indirectos -->
								<tr id="ElemSolapa_2">
								  <td>
								  		<%@ include file="p06bCorredor_Socios_Indirec.inc" %>
								  </td>	 
								</tr>
								
								<!-- Auxiliares externos -->
								<tr id="ElemSolapa_3">
								  <td>
										<%@ include file="p06bCorredor_Aux_Externos.inc" %>											
								  </td>	 
								</tr>
								
								<!-- Organo de direccion responsable de la mediacion -->
								<tr id="ElemSolapa_4"> 
								  <td> 
										<%@ include file="p06bCorredor_Organos.inc" %>		  
								  </td>
								</tr>
								
								<!-- Direccion tecnica -->
<!-- 								<tr id="ElemSolapa_5">  -->
<!-- 								  <td>  -->
<%-- 										<%@ include file="p06bCorredor_DirecTec.inc" %> --%>
<!-- 								  </td> -->
<!-- 								</tr> -->
								
								<!-- Participantes directos en la mediacion de seguros -->
<!-- 								<tr id="ElemSolapa_6">  -->
<!-- 								  <td>  -->
<%-- 										<%@ include file="p06bCorredor_OtrosDirec.inc" %> --%>
<!-- 								  </td> -->
<!-- 								</tr> -->
								
								<!-- Administradores-->	
								<tr id="ElemSolapa_7"> 
								  <td> 
										<%@ include file="p06bCorredor_Administradores.inc" %>		  
								  </td>
								</tr>
								
								<!-- Sucursales -->	
								<tr id="ElemSolapa_8"> 
								  <td> 
										<%@ include file="p06bCorredor_Sucursales.inc" %>		  
								  </td>
								</tr>
								
								<!-- Defensores cliente -->	
								<tr id="ElemSolapa_9"> 
								  <td> 
										<%@ include file="p06bCorredor_DefensCliente.inc" %>		  
								  </td>
								</tr>
								
								<!-- Departamento de Atención al cliente -->	
								<tr id="ElemSolapa_10"> 
								  <td> 
										<%@ include file="p06bCorredor_DepAtCliente.inc" %>		  
								  </td>
								</tr>
								
								<!-- Entidades vinculadas -->
								<tr id="ElemSolapa_11">
								  <td>
										<%@ include file="p06bCorredor_EntVinculadas.inc" %>											
								  </td>	 
								</tr>
								
								<!-- Capacidad financiera copiada inicialmente desde Datos Mediador -->
								<tr id="ElemSolapa_12">
								  <td>
										<%@ include file="p06bCorredor_CapacidadFinanciera.inc" %>											
								  </td>	 
								</tr>
								
							</table>
				 		</td>
					</tr>
				<!-- Fin de la tabla contenidoSolapas --> 
				  
				</FORM>
	      	</div>
	      	<!-- Fin Codigo propio pantalla -->
	      </td>
	    </tr>
	     <tr> 
	      <td height="20"></td>
	    </tr>
  </TABLE>
<!--Fin Aqui va el cuerpo de la página -->
</div>
<%@ include file="/p06bComunJSP/p06bPie.inc"%>

</div>

<script>
	//<!--
	fActivaSolapa(document.FormCorredores.numPest.value);
	inicializa();
	//-->
</script>
</body>
</html>